/*
 * Copyright (c) 1999, 2000, 2001, 2002 WIDE Project
 * All rights reserved.
 *
 * Author : Akimichi OGAWA (akimichi@sfc.wide.ad.jp)
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code MUST retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form MUST reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. All advertising materials mentioning features or use of this software
 *    MUST display the following acknowledgement:
 *      This product includes software developed by Akimichi OGAWA.
 * 4. The name of the author MAY NOT be used to endorse or promote products
 *    derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT,
 * INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
 * ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 *
*/

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif	/* HAVE_CONFIG_H */

#include <stdio.h>

#include <xdvshow-info.h>

void
show_version(void)
{
  printf("DVTS (DV Transport System) version %s\n", VERSION);
  printf("Copyright (c) 1999,2000,2001,2002 WIDE Project\n");
  printf("All rights reserved\n");
  printf("Author : Akimichi OGAWA (akimichi@sfc.wide.ad.jp)\n");
  printf("   http://www.sfc.wide.ad.jp/DVTS/\n");
}

void
show_usage(char *argv0)
{
  printf("\nUsage : %s [options]\n", argv0);

  printf("<options>\n");
  printf("-v        : show version number\n");
  printf("-t        : show process time for one frame\n");
  printf("-F File   : input from File\n");
  printf("-4        : use IPv4\n");
#ifdef	ENABLE_INET6
  printf("-6        : use IPv6\n");
#endif	/* ENABLE_INET6 */
  printf("-P port   : set UDP port number\n");
  printf("-j addr   : join multicast group\n");
  printf("-M addr   : multicast join interface\n");
  printf("-A dev    : use audio\n");
  printf("-N        : do not decode Video (for audio test)\n");
  printf("-2        : half size video\n");
  printf("-H        : show this help message\n");
  printf("-Q        : quality of picture (1 - 5, higher the better)\n");
  printf("          :   (default value is 5)\n");
  printf("-p        : use PAL\n");

}
